<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div class="modal alignment-import-dialog fade" tabindex="-1" role="dialog" ng-class="{'modal-loading': loading}">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Importer des règles d'alignement</strong></h4>
            </div>
            <div class="modal-body">
                <div ng-file-reader on-readed="onReaded( event, file )" read-method="readMethod"></div>

                <!-- error -->
                <div ng-if="file && !applicableSteps.length" class="alert alert-danger m-b-0 m-t-15" role="alert"> Le fichier <strong>{{ file.name }}</strong> ne contient pas de règle applicable !</div>

                <!-- ok -->
                <div class="m-b-0 m-t-15" ng-if="applicableSteps.length">
                    <form name="form">
                        <div class="alert alert-info">
                            <p class="m-b-15">Le fichier <strong>{{ file.name }}</strong> contient <strong>{{ recursiveStepCount(applicableSteps) }} règles</strong> applicables :</p>
                            <script type="text/ng-template" id="step-list">
                                <ul class="m-b-0">
                                    <li ng-repeat="step in steps">
                                        <span title="{{ step.property.uri }}">{{ step.property.label }}</span>
                                        <!--p class="text-muted text-sm">{{ step.property.comment }}</p-->
                                        <div ng-if="step.steps.length" ng-include="'step-list'" ng-init="steps = step.steps"></div>
                                    </li>
                                </ul>
                            </script>
                            <div ng-include="'step-list'" ng-init="steps = applicableSteps"></div>
                        </div>
                        <div class="form-group m-b-0">
                            <label class="control-label required">Option de l'importation</label>
                            <div class="radio m-t-0">
                                <label>
                                    <input type="radio" name="method" value="append" ng-model="options.method"> Importer uniquement les règles manquantes
                                    <p class="help-block m-t-0 text-sm">Les sous-propriétés seront ignorées si la propriété parente est déjà alignée.</p>
                                </label>
                            </div>
                            <div class="radio">
                                <label>
                                    <input type="radio" name="method" value="replace" ng-model="options.method"> Importer toutes les règles en remplaçant les règles existantes
                                    <p class="help-block m-t-0 text-sm">L'ensemble des règles définies dans le fichier sont importées. Si une règle est déjà alignée, elle sera remplacée.</p>
                                </label>
                            </div>
                            <div class="radio m-b-0">
                                <label>
                                    <input type="radio" name="method" value="reset" ng-model="options.method">Importer les règles en remplaçant toutes les règles
                                    <p class="help-block m-t-0 text-sm">L'ensemble des règles définies dans le fichier sont importées. <span class="text-red">Si une règle alignée n'existe pas dans le fichier, <strong>elle sera supprimée</strong></span></p>
                                </label>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default pull-left" ng-click="closeThisDialog()">Fermer</button>
                <button type="button" class="btn btn-primary" ng-click="submit()" ng-disabled="!applicableSteps.length">Importer</button>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->